Bug 807671 - Count of number of children and descendants in compatible group list view goes wrong if a member resource is disabled
Count of number of children and descendants in compatible group list view goe...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
All All
high Severity urgent (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-03-28 09:05 EDT by Sunil Kondkar
Modified: 2013-08-31 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2012-03-28 09:05:26 EDT
Description of problem:

Created a compatible group of resource (Ex. Cron server resource , not recursive)
In the compatible group list view (Inventory->Compatible groups), the Count of number of children is 1 and for descendants, the count is 1.

Then disabled the Cron server resource.

The compatible group list view (Inventory->Compatible groups) now displays the Count of number of children as 3 and for descendants, the count as 3.

Version-Release number of selected component (if applicable):

Build#1203 (Version: 4.4.0-SNAPSHOT Build Number: 969ed45)

How reproducible:

Always

Steps to Reproduce:
1. Created a compatible group of resource (I created for a single cron server resource)
2. Navigate to Inventory->Compatible groups and observe the count of number of children and descendants in compatible group list view.
3. Navigate to Inventory->Servers.
4. Disable the member resource. (Cron server resource)
5. Navigate to Inventory->Compatible groups and observe the count of number of children and descendants in compatible group list view.

  
Actual results:

Count of number of children and descendants in compatible group list view goes wrong if a member resource is disabled.

Expected results:

Correct count of number of children and descendants in compatible group list view.


Additional info:
Comment 1 Jay Shaughnessy 2012-03-28 17:33:18 EDT
This is a good one (meaning, a doozy), it has to do with
ResourceGroupComposite and the way it handles avail information. This will
take some work...
Comment 2 Jay Shaughnessy 2012-03-30 16:27:13 EDT
master commit daec885053b6679e4bb6a80c7c8dc86c75868a4b

The first pass at handling group avail given the latest avail changes
tried to maintain the old mechanism for determining the group avail. This
ended up not covering all of the cases. So, the double/ratio approach has
been completely scrapped and the mechanism now full incorporates disabled 
group members.  Now:
- group list views include a disabled member count and icon (note, the count
  columns are not 50% wider to accommodate).
- new group avail icons and badged group icons have been put in place for 
  disabled
- group availability is now determined different, For details, see:

http://rhq-project.org/display/RHQ/Design-Availability+Checking#Design-AvailabilityChecking-GroupAvailability 

- group composite queries incur a slight perf hit as they now return two
  additional counts (although they are no longer called on to perform AVG
  functions).

Test Notes:
Try various group membership scenarios, autogroups and also autoclusters.
Also, the test case above, where avail type changes for existing group
members.
Comment 3 Sunil Kondkar 2012-04-10 07:51:27 EDT
Verified in Version: 4.4.0-SNAPSHOT Build Number: 233eac6

The group list views display correct counts. Also verified disabled icon on group list views, group avail icons and badged group icons.
Comment 4 Heiko W. Rupp 2013-08-31 06:11:50 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.